Subject: [lemonade] P-IMAP and lemonade

From: "Burger, Eric" <[email-masked]>
Date: Tue, 22 Aug 2006 22:22:50 -0400

[As Chair]

I was hoping this discussion was going to close on its own, but it is not stopping on its own.  Here is the work group's official position on P-IMAP.  I do not believe there is anything new here that has not been said on the lsit, but here it is in a single message  If you do not like it or do not understand it, please e-mail me off list.

P-IMAP was an individual submission from Stephane, Ray, et al.  As such, it has no standing as a standards-track document.  Please refer to RFC2026 for precisely what that means.

Unquestionably, P-IMAP was one of the most important contributions to the lemonade effort.  It provided a comprehensive framwork and, as important, there was some working code and operational experience.  Many will note that quite a few lemonade extensions are taken directly or inspired by P-IMAP.  Moreover, the authors of many of the lemonade documents are the self-same authors of P-IMAP.

That said, there are some structural and implementation issues in P-IMAP that make it unsuitable as an Internet protocol.  To be clear, this is not an indictment of P-IMAP.  Rather, it is a reflection of the unique scale, security, and operational requirements of the Internet that may not be present in a closed, local network.

Because of these issues, the lemonade work group did not take all of P-IMAP.  Likewise, the P-IMAP authors have worked hard (and successfully, I might add) to produce protocols that will work in the Internet.  These are the protocols of the lemonade suite,.  Most of these protocols are in last call or will be in last call shortly.

It is worth noting that anyone can submit an Internet Draft, and anyone can request the RFC Editor to publish the draft.  However, the RFC Editor will ask the IESG if there is any similar or conflicting work in the IETF.  In this case, given the heritage of much of the lemonade suite with respect to P-IMAP, we would have to hold publication of P-IMAP, even as an Individual Informational (i.e., no IETF stabdards status whatsoever), until after the lemonade work is complete.

Again, if you have any questions about this, please do not hesitate to send me an e-mail off-list.

--
- Eric Burger
- Chair, IETF Lemonade work group

--
Sent from my less-than-ideal, non-Palm wireless device; I can't wait for LEMONADE!!!
_______________________________________________
lemonade mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/lemonade